package mt

import (
	"f5"
	"main/mtb"
	"strings"
)

type Config struct {
	mtb.Config
}

type ConfigTable struct {
	f5.IdMetaTable[Config]
	selfConf *Config
}

func (ct *ConfigTable) GetGameApiUrl() string {
	return ct.selfConf.GetGameapiUrl()
}

func (ct *ConfigTable) GetWxApiHosts() []string {
	return strings.Split(ct.selfConf.GetWxApiHosts(), "|")
}

func (ct *ConfigTable) GetWxMerchantId() string {
	return ct.selfConf.GetWxMerchantId()
}

func (ct *ConfigTable) GetWxCertificateSn() string {
    return ct.selfConf.GetWxCertificateSn()
}

func (ct *ConfigTable) GetWxMerchantApiKey() string {
    return ct.selfConf.GetWxMerchantApiKey()
}

func (ct *ConfigTable) GetWxMerchantPublicKeyId() string {
	return ct.selfConf.GetWxMerchantPublicKeyId()
}

func (ct *ConfigTable) GetHwAtUrl() string {
    return ct.selfConf.GetHwAtUrl()
}

func (ct *ConfigTable) GetHwOrderHosts() []string {
    return strings.Split(ct.selfConf.GetHwOrderHost(), "|") 
}

func (ct *ConfigTable) PostInit1() {
	ct.selfConf = ct.GetById(int64(0))
	if ct.selfConf == nil {
		panic("无法读取config.json")
	}
}
